#include <string>
#include <iostream>
#include "Std.hpp"

void test_decode()
{
    std::cout << "decoding" << std::endl << std::endl;
    std::string test;
    
    test = "&amp;";
    std::cout << test << std::endl;
	Umlaute_Web::Std::decode(test);
    std::cout << test << std::endl << std::endl;

	test = "&Auml;";
    std::cout << test << std::endl;
	Umlaute_Web::Std::decode(test);
    std::cout << test << std::endl << std::endl;

	test = "&Ouml;";
    std::cout << test << std::endl;
	Umlaute_Web::Std::decode(test);
    std::cout << test << std::endl << std::endl;

	test = "&Uuml;";
    std::cout << test << std::endl;
	Umlaute_Web::Std::decode(test);
    std::cout << test << std::endl << std::endl;

	test = "&auml;";
    std::cout << test << std::endl;
	Umlaute_Web::Std::decode(test);
    std::cout << test << std::endl << std::endl;

	test = "&ouml;";
    std::cout << test << std::endl;
	Umlaute_Web::Std::decode(test);
    std::cout << test << std::endl << std::endl;

	test = "&uuml;";
    std::cout << test << std::endl;
	Umlaute_Web::Std::decode(test);
    std::cout << test << std::endl << std::endl;

	test = "&aring;";
    std::cout << test << std::endl;
	Umlaute_Web::Std::decode(test);
    std::cout << test << std::endl << std::endl;

	test = "&egrave;";
    std::cout << test << std::endl;
	Umlaute_Web::Std::decode(test);
    std::cout << test << std::endl << std::endl;

	test = "&ccedil;";
    std::cout << test << std::endl;
	Umlaute_Web::Std::decode(test);
    std::cout << test << std::endl << std::endl;

	test = "&Ccedil;";
    std::cout << test << std::endl;
	Umlaute_Web::Std::decode(test);
    std::cout << test << std::endl << std::endl;

	test = "&#39;";
    std::cout << test << std::endl;
	Umlaute_Web::Std::decode(test);
    std::cout << test << std::endl << std::endl;

	test = "&szlig;";
    std::cout << test << std::endl;
	Umlaute_Web::Std::decode(test);
    std::cout << test << std::endl << std::endl;

	test = "&agrave;";
    std::cout << test << std::endl;
	Umlaute_Web::Std::decode(test);
    std::cout << test << std::endl << std::endl;
}

void test_encode()
{
    std::cout << "encoding" << std::endl << std::endl;
    std::string test;

    test = "&";
    std::cout << test <<std::endl;
	Umlaute_Web::Std::encode(test);
    std::cout << test << std::endl << std::endl;

    test = "Ä";
    std::cout << test <<std::endl;
	Umlaute_Web::Std::encode(test);
    std::cout << test << std::endl << std::endl;

    test = "Ö";
    std::cout << test <<std::endl;
	Umlaute_Web::Std::encode(test);
    std::cout << test << std::endl << std::endl;

    test = "Ü";
    std::cout << test <<std::endl;
	Umlaute_Web::Std::encode(test);
    std::cout << test << std::endl << std::endl;

    test = "ä";
    std::cout << test <<std::endl;
	Umlaute_Web::Std::encode(test);
    std::cout << test << std::endl << std::endl;

    test = "ö";
    std::cout << test <<std::endl;
	Umlaute_Web::Std::encode(test);
    std::cout << test << std::endl << std::endl;

    test = "ü";
    std::cout << test <<std::endl;
	Umlaute_Web::Std::encode(test);
    std::cout << test << std::endl << std::endl;

    test = "å";
    std::cout << test <<std::endl;
	Umlaute_Web::Std::encode(test);
    std::cout << test << std::endl << std::endl;

    test = "è";
    std::cout << test <<std::endl;
	Umlaute_Web::Std::encode(test);
    std::cout << test << std::endl << std::endl;

    test = "ç";
    std::cout << test <<std::endl;
	Umlaute_Web::Std::encode(test);
    std::cout << test << std::endl << std::endl;

    test = "Ç";
    std::cout << test <<std::endl;
	Umlaute_Web::Std::encode(test);
    std::cout << test << std::endl << std::endl;

    test = "'";
    std::cout << test <<std::endl;
	Umlaute_Web::Std::encode(test);
    std::cout << test << std::endl << std::endl;

    test = "ß";
    std::cout << test <<std::endl;
	Umlaute_Web::Std::encode(test);
    std::cout << test << std::endl << std::endl;

    test = "à";
    std::cout << test <<std::endl;
	Umlaute_Web::Std::encode(test);
    std::cout << test << std::endl << std::endl;

}

int main()
{
    test_decode();
    test_encode();
}
